Bug 516533 - Review Request: globus-gatekeeper - Globus Toolkit - Globus Gatekeeper
Summary: Review Request: globus-gatekeeper - Globus Toolkit - Globus Gatekeeper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516536
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:03 UTC by Mattias Ellert
Modified: 2009-11-03 01:57 UTC (History)
3 users (show)

Fixed In Version: 5.0-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:35:05 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:03:23 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gatekeeper.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gatekeeper-5.0-1.fc11.src.rpm

Description:
he Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gatekeeper package contains:
Globus Gatekeeper
Globus Gatekeeper Setup

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-10-18 03:15:55 UTC
Review of globus-gatekeeper:

Koji Build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1752463

YES: rpmlint.
 rpmlint globus-gatekeeper.spec ../SRPMS/globus-gatekeeper-5.0-1.fc11.src.rpm ../RPMS/x86_64/globus-gatekeeper-*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

clean.

YES: Package name
YES: Spec file name.
YES: Follows globus guidelines.
YES: YES ASL2.0
YES: LICESNSE file included.
YES: Spec in english
YES: Spec is legible.
YES: Source matches.

$ diff -r --brief globus_gatekeeper-5.0 ~/globus/src/gt4.2.1-all-source-installer/source-trees/gatekeeper/source/
Only in globus_gatekeeper-5.0: GLOBUS_LICENSE

$ diff -r --brief gt4.2.1-all-source-installer/source-trees/gatekeeper/setup ~/rpmbuild/SOURCES/globus_gatekeeper_setup-2.2
Only in /home/steve/rpmbuild/SOURCES/globus_gatekeeper_setup-2.2: GLOBUS_LICENSE

which are expected.

YES: Builds as per koji above.
YES: Builds on all archs as per koji above.
YES: BuildRequires are sensible.
YES: No locales present.
YES: ldconfig not needed.
YES: No system libs.
YES: It owns its own directories.
YES: Permissions are correct.
YES: %clean rm %buildroot
YES: consistant use of macros.
YES: Contains code.
YES: No large documents.
YES: %doc not needed at runtime.
YES: no devel pcakge.
YES: No static files.
YES: No .la files are present.
YES: No gui
YES: does not own files/directories owned elsewhere.
YES: %install does a rm %buildroot
YES: utf8.

Looks good and even starts.

APPROVED

Steve.

Comment 2 Mattias Ellert 2009-10-19 11:35:43 UTC
New Package CVS Request
=======================
Package Name: globus-gatekeeper
Short Description: Globus Toolkit - Globus Gatekeeper
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-10-19 16:26:08 UTC
cvs done.

Comment 4 Fedora Update System 2009-10-19 19:43:53 UTC
globus-gatekeeper-5.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-gatekeeper-5.0-1.fc12

Comment 5 Fedora Update System 2009-10-19 19:43:55 UTC
globus-gatekeeper-5.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-gatekeeper-5.0-1.el5

Comment 6 Fedora Update System 2009-10-19 19:43:58 UTC
globus-gatekeeper-5.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gatekeeper-5.0-1.fc11

Comment 7 Fedora Update System 2009-10-19 19:44:00 UTC
globus-gatekeeper-5.0-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gatekeeper-5.0-1.el4

Comment 8 Fedora Update System 2009-10-19 21:13:23 UTC
globus-gram-client-7.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-gram-client-7.2-1.el5

Comment 9 Fedora Update System 2009-10-19 21:13:28 UTC
globus-gram-client-7.2-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gram-client-7.2-1.el4

Comment 10 Fedora Update System 2009-10-21 00:34:59 UTC
globus-gatekeeper-5.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Steve Traylen 2009-10-21 07:29:01 UTC
I don't know that it matters but according

http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess

new packages should be closed with CLOSED -> NEXTRELEASE

Comment 12 Mattias Ellert 2009-10-21 08:15:27 UTC
(In reply to comment #11)
> I don't know that it matters but according
> 
> http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess
> 
> new packages should be closed with CLOSED -> NEXTRELEASE  

The bug was automatically closed by Bodhi when the package was pushed to stable. The Bodhi request was tagged as "newpackage", so Bodhi should be able to close the bug the right way. And it looks like my previous review request bugs that were automatically closed by Bodhi were closed with NEXTRELEASE.

So either this is a recent bug introduced in Bodhi, or a change in policy that has been implemented in Bodhi but that hasn't been properly documented.

Comment 13 Fedora Update System 2009-11-03 01:57:06 UTC
globus-gatekeeper-5.0-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-03 01:57:39 UTC
globus-gatekeeper-5.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.